FIND_PATH(bbb_gpio_INCLUDE_DIR bbb_gpio.h gpioexceptions.h /usr/include/iridrivers /usr/local/include/iridrivers)

FIND_LIBRARY(bbb_gpio_LIBRARY
    NAMES bbb_gpio
    PATHS /usr/lib/iridrivers /usr/local/lib /usr/local/lib/iridrivers) 

IF (bbb_gpio_INCLUDE_DIR AND bbb_gpio_LIBRARY)
   SET(bbb_gpio_FOUND TRUE)
ENDIF (bbb_gpio_INCLUDE_DIR AND bbb_gpio_LIBRARY)

IF (bbb_gpio_FOUND)
   IF (NOT bbb_gpio_FIND_QUIETLY)
      MESSAGE(STATUS "Found bbb_gpio: ${bbb_gpio_LIBRARY}")
   ENDIF (NOT bbb_gpio_FIND_QUIETLY)
ELSE (bbb_gpio_FOUND)
   IF (bbb_gpio_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find bbb_gpio")
   ENDIF (bbb_gpio_FIND_REQUIRED)
ENDIF (bbb_gpio_FOUND)

